﻿using Housewives.Api.Entities;

namespace Housewives.Api.Repositories.Contracts
{
    public interface IHousewifeRepository
    {
        Task<IEnumerable<Housewife>> GetHousewives();
        Task<IEnumerable<Quote>> GetQuotes();
        Task<IEnumerable<Quote>> GetQuotesById(int housewifeId);

        Task<Housewife> GetHousewife(int id);
        Task<Quote> GetQuote(int id);

    }
}
